Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.serverinfo
Class GeronimoServerInfo

    java.lang.Object
      org.wso2.wsas.serverinfo.GeronimoServerInfo

All Implemented Interfaces:
  ServerInfo

public class GeronimoServerInfo
extends java.lang.Object
implements ServerInfo

Field Summary
`static java.lang.String` | `GERONIMO_CONFIG_NAMESPACE`

Constructor Summary
`GeronimoServerInfo()`

Method Summary
`int` | `getHttpPort()` Return the http port of the container through which the WSO2 WSAS services are accessible.
`int` | `getHttpsPort()` Return the https port of the container through which WSO2 WSAS services are accessible.
`void` | `process()` Process the server configuration to populate the properties that are relevant to WSO2 WSAS
`void` | `setProperties(java.util.Properties props)` Load and set the properties from the container.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GERONIMO_CONFIG_NAMESPACE

    public static final java.lang.String GERONIMO_CONFIG_NAMESPACE

See Also:
  Constant Field Values

Constructor Detail

### GeronimoServerInfo

    public GeronimoServerInfo()

Method Detail

### getHttpPort

    public int getHttpPort()

  Description copied from interface: `ServerInfo`
  Return the http port of the container through which the WSO2 WSAS services are accessible.

  Specified by:
    `getHttpPort` in interface `ServerInfo`
  Returns:
    The HTTP port

### getHttpsPort

    public int getHttpsPort()

  Description copied from interface: `ServerInfo`
  Return the https port of the container through which WSO2 WSAS services are accessible.

  Specified by:
    `getHttpsPort` in interface `ServerInfo`
  Returns:
    The HTTPS port

### setProperties

    public void setProperties(java.util.Properties props)

  Description copied from interface: `ServerInfo`
  Load and set the properties from the container. This properties can be used to supply information such as the location of server.xml from the specific container so that later on the `process()` method can process those properties and compute the WSO2 WSAS configurations.

  Specified by:
    `setProperties` in interface `ServerInfo`
  Parameters:
    `props` -
  See Also:
    `ServerInfo.process()`

### process

    public void process()

  Description copied from interface: `ServerInfo`
  Process the server configuration to populate the properties that are relevant to WSO2 WSAS

  Specified by:
    `process` in interface `ServerInfo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD